﻿using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Shared.Localization;
using System;
using System.Collections.Generic;

namespace Eco.Mods.TechTree
{
  public class WetTailingsRecipe : RecipeFamily
  {
    public WetTailingsRecipe()
    {
      Recipe recipe = new Recipe("WetTailings", Localizer.DoStr("Tailings - Wet"), new IngredientElement[1]
      {
        new IngredientElement(typeof (WetTailingsItem), 1f, false)
      }, new CraftingElement[1]
      {
        (CraftingElement) new CraftingElement<CrushedSandstoneItem>(1f)
      });
      List<Recipe> recipeList = new List<Recipe>();
      recipeList.Add(recipe);
      this.Recipes = recipeList;
      this.ExperienceOnCraft = 0.5f;
      this.LaborInCalories = RecipeFamily.CreateLaborInCaloriesValue(100f, typeof (MiningSkill));
      this.CraftMinutes = RecipeFamily.CreateCraftTimeValue(typeof (WetTailingsRecipe), 1f, typeof (MiningSkill));
///       this.CraftMinutes = RecipeFamily.CreateCraftTimeValue(typeof (WetTailingsRecipe), 1f, typeof (MiningSkill), new Type[2]);
      this.Initialize(Localizer.DoStr("Tailings - Wet"), typeof (WetTailingsRecipe));
      CraftingComponent.AddRecipe(typeof (WorkbenchObject), (RecipeFamily) this);
    }
  }
}
